List Core inventory costs
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/core/inventory-costs \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/core/inventory-costs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/core/inventory-costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"date": "<string>",
"allocation_type": "<string>",
"linked_type": "<string>",
"linked_id": 123,
"linked_record": "<string>",
"is_product_line": true,
"qty": 123,
"amount": 123,
"total_amount": 123,
"cost_item_sku": "<string>",
"cost_item_name": "<string>",
"cost_item_rfq_id": 123,
"core_cost_id": 123,
"core_cost_name": "<string>",
"cost_basis": "<string>",
"parent_cost_id": 123,
"created_at": "<string>",
"badges": [
{}
],
"_links": {
"self": "<string>",
"detail": "<string>"
}
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}Core Inventory Ledger
List Core inventory costs
List Luminous Core inventory cost records (CICs) with offset pagination. A cost record represents an amount (product cost or extra/landed cost) that is allocated across one or more inventory transactions.
Availability: Returns 404 for tenants that do not have Luminous Core enabled.
GET
/
core
/
inventory-costs
List Core inventory costs
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Required range:
x >= 1Rows per page (max 100).
Required range:
1 <= x <= 100Only costs on or after this date.
Only costs on or before this date.
Filter by linked document type (e.g. shipment, fulfillment_order, sales_order, adjustment, picklist).
Filter by catalog cost (Core cost) id.
Filter by product (RFQ) id.
Filter by cost basis (e.g. actual).
Search by product SKU, product name, cost name, or cost id.
Available options:
date, id, total_amount Available options:
asc, desc